﻿/**Begin D:\PDM_UPGRADE\PDM1\HAM_constraint.sql **/
 EXEC P_ALTERPK 'PK_HAM_DISPCHG_BCHG_P', 'T_HAM_DISPCHG_BCHG_P', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_CHGBP_PERSONID') CREATE INDEX IDX_HAM_CHGBP_PERSONID ON T_HAM_DISPCHG_BCHG_P ( FPERSONID );


 EXEC P_ALTERPK 'PK_HAM_DISPCHG_BCHG_E', 'T_HAM_DISPCHG_BCHG_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_CHGBE_EMPLOYEEID') CREATE INDEX IDX_HAM_CHGBE_EMPLOYEEID ON T_HAM_DISPCHG_BCHG_E ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_HAM_DISPCHG_BCHG_D', 'T_HAM_DISPCHG_BCHG_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_CHGBD_DMPEMPID') CREATE INDEX IDX_HAM_CHGBD_DMPEMPID ON T_HAM_DISPCHG_BCHG_D ( FDEPEMPID );


 EXEC P_ALTERPK 'PK_HAM_DISPCHG_ACHG_P', 'T_HAM_DISPCHG_ACHG_P', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_CHGAP_EMPLOYEEID') CREATE INDEX IDX_HAM_CHGAP_EMPLOYEEID ON T_HAM_DISPCHG_ACHG_P ( FPERSONID );


 EXEC P_ALTERPK 'PK_HAM_DISPCHG_ACHG_E', 'T_HAM_DISPCHG_ACHG_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_CHGAE_EMPLOYEEID') CREATE INDEX IDX_HAM_CHGAE_EMPLOYEEID ON T_HAM_DISPCHG_ACHG_E ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_HAM_DISPCHG_ACHG_D', 'T_HAM_DISPCHG_ACHG_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_CHGAD_EMPLOYEEID') CREATE INDEX IDX_HAM_CHGAD_EMPLOYEEID ON T_HAM_DISPCHG_ACHG_D ( FDEPEMPID );


 EXEC P_ALTERPK 'PK_HAM_DISPBACK_BCHG_P', 'T_HAM_DISPBACK_BCHG_P', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_BP_DMPEMPID') CREATE INDEX IDX_HAM_BP_DMPEMPID ON T_HAM_DISPBACK_BCHG_P ( FPERSONID );


 EXEC P_ALTERPK 'PK_HAM_DISPBACK_BCHG_E', 'T_HAM_DISPBACK_BCHG_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_BE_DMPEMPID') CREATE INDEX IDX_HAM_BE_DMPEMPID ON T_HAM_DISPBACK_BCHG_E ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_HAM_DISPBACK_ACHG_P', 'T_HAM_DISPBACK_ACHG_P', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_AP_PERSONID') CREATE INDEX IDX_HAM_AP_PERSONID ON T_HAM_DISPBACK_ACHG_P ( FPERSONID );


 EXEC P_ALTERPK 'PK_HAM_DISPBACK_BCHG_D', 'T_HAM_DISPBACK_BCHG_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_BD_DMPEMPID') CREATE INDEX IDX_HAM_BD_DMPEMPID ON T_HAM_DISPBACK_BCHG_D ( FDEPEMPID );


 EXEC P_ALTERPK 'PK_HAM_DISPBACK_ACHG_E', 'T_HAM_DISPBACK_ACHG_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_BACKAE_EMPLOYEEID') CREATE INDEX IDX_HAM_BACKAE_EMPLOYEEID ON T_HAM_DISPBACK_ACHG_E ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_HAM_DISPBACK_ACHG_D', 'T_HAM_DISPBACK_ACHG_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_AD_DMPEMPID') CREATE INDEX IDX_HAM_AD_DMPEMPID ON T_HAM_DISPBACK_ACHG_D ( FDEPEMPID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCH_BCHG_P', 'T_HAM_DISPATCH_BCHG_P', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_BP_EMPLOYEEID') CREATE INDEX IDX_HAM_BP_EMPLOYEEID ON T_HAM_DISPATCH_BCHG_P ( FPERSONID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCH_BCHG_E', 'T_HAM_DISPATCH_BCHG_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_BE_EMPLOYEEID') CREATE INDEX IDX_HAM_BE_EMPLOYEEID ON T_HAM_DISPATCH_BCHG_E ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCH_BCHG_D', 'T_HAM_DISPATCH_BCHG_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_BD_EMPLOYEEID') CREATE INDEX IDX_HAM_BD_EMPLOYEEID ON T_HAM_DISPATCH_BCHG_D ( FDEPEMPID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCH_ACHG_P', 'T_HAM_DISPATCH_ACHG_P', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_AP_EMPLOYEEID') CREATE INDEX IDX_HAM_AP_EMPLOYEEID ON T_HAM_DISPATCH_ACHG_P ( FPERSONID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCH_ACHG_E', 'T_HAM_DISPATCH_ACHG_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_AE_EMPLOYEEID') CREATE INDEX IDX_HAM_AE_EMPLOYEEID ON T_HAM_DISPATCH_ACHG_E ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_HAM_DISPATCH_ACHG_D', 'T_HAM_DISPATCH_ACHG_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HAM_AD_EMPLOYEEID') CREATE INDEX IDX_HAM_AD_EMPLOYEEID ON T_HAM_DISPATCH_ACHG_D ( FDEPEMPID );



/**End D:\PDM_UPGRADE\PDM1\HAM_constraint.sql **/
